package de.intevation.flys.artifacts.states;

import java.io.Serializable;

/**
 * This interface describes the basic method a concrete state class needs to
 * implement.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface State extends Serializable {

    /**
     * Return the id of the state.
     *
     * @return the id.
     */
    public String getID();

    /**
     * Return the description of the state.
     *
     * @return the description of the state.
     */
    public String getDescription();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
